Package nl.tudelft.simulation.examples.dsol.animation3d

## Class World

- java.lang.Object
- - nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D
  - - nl.tudelft.simulation.examples.dsol.animation3d.World

All Implemented Interfaces:
  `Serializable`, `Renderable3DInterface`

    public class World
    extends Renderable3D

World, a simple world for the ball model in 3D.

Copyright (c) 2003-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Roy Chin
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`scale, simulator, source, type`

### Fields inherited from interface nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3DInterface

`DYNAMIC_OBJECT, STATIC_OBJECT`

### Constructor Summary

Constructors
`World​(DirectedPoint3d staticLocation, SimulatorInterface.TimeDouble simulator)` Construct the world.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update()`
`protected void` `update​(Enumeration children)`

### Methods inherited from class nl.tudelft.simulation.dsol.swing.animation.D3.Renderable3D

`getScale, getSource, getType, setScale`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### World

    public World​(DirectedPoint3d staticLocation,
                 SimulatorInterface.TimeDouble simulator)

Construct the world.

Parameters:
  `staticLocation` - DirectedPoint3d; Static location
  `simulator` - SimulatorInterface.TimeDouble; Simulator

### Method Detail

#### update

    protected void update​(Enumeration children)

Specified by:
  `update` in class `Renderable3D`

#### update

    public void update()